Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

The recommended minimum hardware should have at least 2 processors, a 64-bit operating system and a minimum of 12 GB of RAM and RAID 10 hard drives. The software will not run with less than 4 GB of RAM.

Browser Support

  • All platforms: Firefox, Chrome
  • On Windows, we also support: Edge, Internet Explorer 11*
  • On Mac, we also support: Safari

* Support for Internet Explorer 11 will end when Agiloft version 23 is released later in 2021. Agiloft version 22 includes Agiloft is compatible with Firefox and Chrome. You can also use Edge on Windows, and Safari on a Mac.

Agiloft versions 22 and onward include UI improvements that are not compatible with Internet Explorer 11, but these changes are optional. Agiloft can be used on Internet Explorer 11 and onward if the changes are not enabled. Otherwise, support for Internet Explorer is not available.

Optional Software

Microsoft Word 2010 or higher to enable Integration with Hosted Word API Services.

...